'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var type = exports.type = {
  fixed: 'fixed',
  sticky: 'sticky'
};

var direction = exports.direction = {
  horizontal: {
    prop: 'horizontal',
    other: 'vertical',
    display: 'inline-block',
    before: 'left',
    size: 'width',
    after: 'right',
    transform: 'translateX'
  },
  vertical: {
    prop: 'vertical',
    other: 'horizontal',
    display: 'block',
    before: 'top',
    size: 'height',
    after: 'bottom',
    transform: 'translateY'
  }
};

var lengths = exports.lengths = ['before', 'size', 'after'];