'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _enum = require('../../../enum');

var _type = require('./type');

var _type2 = _interopRequireDefault(_type);

var _direction = require('./direction');

var _direction2 = _interopRequireDefault(_direction);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (decl, result) {
  var value = decl.value.split(' ');

  if (decl.prop === 'type') {
    (0, _type2.default)(decl, value, result);
  } else if (_enum.direction.hasOwnProperty(decl.prop)) {
    (0, _direction2.default)(decl, value, result);
  } else {
    return;
  }

  decl.remove();
};