'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _enum = require('../../../enum');

var _align = require('./align');

var _align2 = _interopRequireDefault(_align);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (decl, value, result) {
  if (value.length < 3) {
    throw decl.error('Must have at least 3 values: ' + '`before`, `size` and `after`');
  }

  value.slice(0, 3).forEach(function (element, index) {
    result[decl.prop][_enum.lengths[index]] = element;
  });

  if (value.length > 3) {
    (0, _align2.default)(decl, value, result);
  }
};