'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _enum = require('../../../enum');

exports.default = function (decl, value, result) {
  if (value.length > 1) {
    throw decl.error('Cannot have multiple position types');
  }
  if (!_enum.type.hasOwnProperty(value[0])) {
    throw decl.error('Unknown position type `' + value[0] + '`');
  }
  result.type = _enum.type[value[0]];
};