'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _position = require('../position');

var _position2 = _interopRequireDefault(_position);

var _decl = require('./decl/');

var _decl2 = _interopRequireDefault(_decl);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Parses AST and returns a position object while removing positioning rules

exports.default = function (rule) {
  var result = {
    horizontal: {},
    vertical: {}
  };

  rule.walkDecls(function (decl) {
    (0, _decl2.default)(decl, result);
  });

  return new _position2.default(result).validate(rule);
};